# Generated from rubypitaya-2.27.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubypitaya

Name: rubygem-%{gem_name}
Version: 2.27.1
Release: 1%{?dist}
Summary: Create servers with pitaya
License: MIT
URL: https://gitlab.com/LucianoPC/ruby-pitaya
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) = 0.14.1
# BuildRequires: rubygem(rspec) = 3.10.0
# BuildRequires: rubygem(listen) = 3.7.0
# BuildRequires: rubygem(cucumber) = 7.0.0
BuildArch: noarch

%description
RubyPitaya is an application to create servers using the pitaya protocol.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rubypitaya
%{gem_instdir}/.
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 2.27.1-1
- Initial package
